import 'dart:async';

import 'package:flutter/material.dart';
import 'package:refresher/refresher.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: RefresherDemo(),
    );
  }
}

class RefresherDemo extends StatefulWidget {
  @override
  _RefresherDemoState createState() => _RefresherDemoState();
}

class _RefresherDemoState extends State<RefresherDemo> with SingleTickerProviderStateMixin {
  String _title = "Refresher Demo";

  @override
  void initState() {
    super.initState();
  }

  double percentage = 0.0;

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        // Here we take the value from the MyHomePage object that was created by
        // the App.build method, and use it to set our appbar title.
        title: Text(_title),
      ),
      body: Refresher(
        loadingSize: 50.0,
        margin: EdgeInsets.only(top: 120.0, bottom: 60.0),
        vanishAfterDrag: true,
        onRefresh: () async {
          int counter = 0;
          Timer.periodic(Duration(milliseconds: 1000), (t) {
            counter++;
            setState(() {
              _title = "Fetching${List.filled(counter, ".").join()}";
              if (counter == 5) t.cancel();
            });
          });
          await Future.delayed(new Duration(milliseconds: 6000));
          setState(() {
            _title = "Refresher Demo";
          });
        },
        child: Column(
            children: List.generate(
          100,
          (index) => Text("Here is $index"),
        )),
      ),
    );
  }
}
